X2Go Bug report logs - #1321
X Error: BadLength (poly request too large or internal Xlib length error) 16

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Kröger, Hannes <hannes@kroegeronline.net>

Date: Fri, 17 Aug 2018 08:30:02 UTC

Severity: normal

Tags: pending

Found in version 4.1.0.2-0~1642~ubuntu16.04.1

Fixed in version 4.1.0.3

Done: Mihai Moldovan <ionic@ionic.de>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1321; Package x2goserver. (Fri, 17 Aug 2018 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kröger, Hannes <hannes@kroegeronline.net>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Aug 2018 08:30:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Kröger, Hannes <hannes@kroegeronline.net>
To: submit@bugs.x2go.org
Subject: X Error: BadLength (poly request too large or internal Xlib length error) 16
Date: Fri, 17 Aug 2018 09:55:25 +0200
Package: x2goserver
Version: 4.1.0.2-0~1642~ubuntu16.04.1

When the 3D viewing software paraview is executed in a x2go session, it
does not start, but yields the error below:
$ paraview
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Major opcode: 18 (X_ChangeProperty)
  Resource id:  0x30001da
This problem does not appear in older versions of x2go. I could not find
a workaround for the problem. Any hints are welcome.
OS: Ubuntu 16.04 Xenial
Paraview - Version 4.4.0
NXAGENT - Version 3.5.99.16


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1321; Package x2goserver. (Fri, 17 Aug 2018 09:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Aug 2018 09:25:02 GMT) Full text and rfc822 format available.

Message #10 received at 1321@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Kröger@das-netzwerkteam.de, Hannes <hannes@kroegeronline.net>, 1321@bugs.x2go.org
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16
Date: Fri, 17 Aug 2018 11:22:02 +0200
Try to toggle BIGREQUESTS in /etc/x2go/

Uli


On Fri, Aug 17, 2018 at 9:55 AM, Kröger@das-netzwerkteam.de, Hannes
<hannes@kroegeronline.net> wrote:
> Package: x2goserver
> Version: 4.1.0.2-0~1642~ubuntu16.04.1
>
> When the 3D viewing software paraview is executed in a x2go session, it
> does not start, but yields the error below:
> $ paraview
> X Error: BadLength (poly request too large or internal Xlib length error) 16
>   Major opcode: 18 (X_ChangeProperty)
>   Resource id:  0x30001da
> This problem does not appear in older versions of x2go. I could not find
> a workaround for the problem. Any hints are welcome.
> OS: Ubuntu 16.04 Xenial
> Paraview - Version 4.4.0
> NXAGENT - Version 3.5.99.16
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1321; Package x2goserver. (Fri, 17 Aug 2018 11:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Aug 2018 11:10:02 GMT) Full text and rfc822 format available.

Message #15 received at 1321@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Hannes Kröger <hannes@kroegeronline.net>
Cc: 1321@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16
Date: Fri, 17 Aug 2018 13:03:46 +0200
On Fri, Aug 17, 2018 at 12:44 PM, Hannes Kröger
<hannes@kroegeronline.net> wrote:
> ok, when I put
>
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension BIG-REQUESTS"
>
> into /etc/x2go/x2goagent.options then paraview starts without errors.
>
> But the comment says:
> "Disable BIG-REQUESTS, nx-libs does not implement this extension
> correctly. Leads to all sorts of weird crashes if left enabled."
> Is this still true? Do I have to fear all sorts of weird crashes?

Yes, unfortunately this is still true. I am unsure what exactly the
problems are. But we have apps that crash with the extension enabled.
And we have some apps that crash with the extension disabled ;-(

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1321; Package x2goserver. (Fri, 17 Aug 2018 11:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hannes Kröger <hannes@kroegeronline.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Aug 2018 11:15:02 GMT) Full text and rfc822 format available.

Message #20 received at 1321@bugs.x2go.org (full text, mbox):

From: Hannes Kröger <hannes@kroegeronline.net>
To: 1321@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16
Date: Fri, 17 Aug 2018 13:13:43 +0200
Dear Uli,

thanks for the information.

I will continue with the BIG-REQUEST enabled and see how it works.

I would like to add that the problem appears since an update a few weeks
ago (the software was installed through the x2go-stable repo from
launchpad). Before that, everything worked fine. Is it possible to trace
the change which lead to this problem?

Regards, Hannes


Am 17.08.2018 um 13:03 schrieb Ulrich Sibiller:
> On Fri, Aug 17, 2018 at 12:44 PM, Hannes Kröger
> <hannes@kroegeronline.net> wrote:
>> ok, when I put
>>
>> X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension BIG-REQUESTS"
>>
>> into /etc/x2go/x2goagent.options then paraview starts without errors.
>>
>> But the comment says:
>> "Disable BIG-REQUESTS, nx-libs does not implement this extension
>> correctly. Leads to all sorts of weird crashes if left enabled."
>> Is this still true? Do I have to fear all sorts of weird crashes?
> Yes, unfortunately this is still true. I am unsure what exactly the
> problems are. But we have apps that crash with the extension enabled.
> And we have some apps that crash with the extension disabled ;-(
>
> Uli

-- 
Grüße, Hannes Kröger

Tel.: +49 160 90354853


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1321; Package x2goserver. (Fri, 17 Aug 2018 11:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hannes Kröger <hannes@kroegeronline.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Aug 2018 11:30:02 GMT) Full text and rfc822 format available.

Message #25 received at 1321@bugs.x2go.org (full text, mbox):

From: Hannes Kröger <hannes@kroegeronline.net>
To: uli42@gmx.de, 1321@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16
Date: Fri, 17 Aug 2018 12:44:06 +0200
Hi Uli,

ok, when I put

X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension BIG-REQUESTS"

into /etc/x2go/x2goagent.options then paraview starts without errors.

But the comment says:
"Disable BIG-REQUESTS, nx-libs does not implement this extension
correctly. Leads to all sorts of weird crashes if left enabled."
Is this still true? Do I have to fear all sorts of weird crashes?

Am 17.08.2018 um 11:22 schrieb Ulrich Sibiller:
> Try to toggle BIGREQUESTS in /etc/x2go/
>
> Uli
>
>
> On Fri, Aug 17, 2018 at 9:55 AM, Kröger@das-netzwerkteam.de, Hannes
> <hannes@kroegeronline.net> wrote:
>> Package: x2goserver
>> Version: 4.1.0.2-0~1642~ubuntu16.04.1
>>
>> When the 3D viewing software paraview is executed in a x2go session, it
>> does not start, but yields the error below:
>> $ paraview
>> X Error: BadLength (poly request too large or internal Xlib length error) 16
>>   Major opcode: 18 (X_ChangeProperty)
>>   Resource id:  0x30001da
>> This problem does not appear in older versions of x2go. I could not find
>> a workaround for the problem. Any hints are welcome.
>> OS: Ubuntu 16.04 Xenial
>> Paraview - Version 4.4.0
>> NXAGENT - Version 3.5.99.16
>> _______________________________________________
>> x2go-dev mailing list
>> x2go-dev@lists.x2go.org
>> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1321; Package x2goserver. (Fri, 17 Aug 2018 12:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Aug 2018 12:35:02 GMT) Full text and rfc822 format available.

Message #30 received at 1321@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Hannes Kröger <hannes@kroegeronline.net>, 1321@bugs.x2go.org
Cc: uli42@gmx.de
Subject: Re: [X2Go-Dev] Bug#1321: Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16
Date: Fri, 17 Aug 2018 14:23:50 +0200 (CEST)
You don't have to fear anything, if it works with BIG-REQUESTS then it just works (mostly).
This is just that, as Uli said, the BIG_REQUEST extension support is very buggy in NX and thus, some apps work with it (or even need it to work such as VLC or your 3D viewer) and some don't (such as ATOM.io, VSCode and many other elektron based applications).

By now, depending on your needs, you should enable it or not.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Hannes Kröger" <hannes@kroegeronline.net> 
À: uli42@gmx.de, 1321@bugs.x2go.org 
Envoyé: Vendredi 17 Août 2018 12:44:06 
Objet: [X2Go-Dev] Bug#1321: Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16 

Hi Uli, 

ok, when I put 

X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension BIG-REQUESTS" 

into /etc/x2go/x2goagent.options then paraview starts without errors. 

But the comment says: 
"Disable BIG-REQUESTS, nx-libs does not implement this extension 
correctly. Leads to all sorts of weird crashes if left enabled." 
Is this still true? Do I have to fear all sorts of weird crashes? 

Am 17.08.2018 um 11:22 schrieb Ulrich Sibiller: 
> Try to toggle BIGREQUESTS in /etc/x2go/ 
> 
> Uli 
> 
> 
> On Fri, Aug 17, 2018 at 9:55 AM, Kröger@das-netzwerkteam.de, Hannes 
> <hannes@kroegeronline.net> wrote: 
>> Package: x2goserver 
>> Version: 4.1.0.2-0~1642~ubuntu16.04.1 
>> 
>> When the 3D viewing software paraview is executed in a x2go session, it 
>> does not start, but yields the error below: 
>> $ paraview 
>> X Error: BadLength (poly request too large or internal Xlib length error) 16 
>> Major opcode: 18 (X_ChangeProperty) 
>> Resource id: 0x30001da 
>> This problem does not appear in older versions of x2go. I could not find 
>> a workaround for the problem. Any hints are welcome. 
>> OS: Ubuntu 16.04 Xenial 
>> Paraview - Version 4.4.0 
>> NXAGENT - Version 3.5.99.16 
>> _______________________________________________ 
>> x2go-dev mailing list 
>> x2go-dev@lists.x2go.org 
>> https://lists.x2go.org/listinfo/x2go-dev 
_______________________________________________ 
x2go-dev mailing list 
x2go-dev@lists.x2go.org 
https://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1321; Package x2goserver. (Sat, 06 Oct 2018 20:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 06 Oct 2018 20:15:02 GMT) Full text and rfc822 format available.

Message #35 received at 1321@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Kröger@das-netzwerkteam.de, Hannes <hannes@kroegeronline.net>
Cc: 1321@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16
Date: Sat, 6 Oct 2018 22:12:06 +0200
FYI: I have made a patch for nx-libs that fixes some BIG-REQUESTS
problems (atom and vscode now work). It does not seem to help with
paraview 4.4 but I also cannot properly use it without x2go, I get
"Cannot mix incompatible Qt library (version 0x40807) with this
library (version 0x40806)". So YMMV.

Here's the patch: https://github.com/ArcticaProject/nx-libs/pull/729
(not sure when it will make into the released code. For now you have
to apply and compile yourself

Uli
On Fri, Aug 17, 2018 at 1:03 PM Ulrich Sibiller <uli42@gmx.de> wrote:
>
> On Fri, Aug 17, 2018 at 12:44 PM, Hannes Kröger
> <hannes@kroegeronline.net> wrote:
> > ok, when I put
> >
> > X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension BIG-REQUESTS"
> >
> > into /etc/x2go/x2goagent.options then paraview starts without errors.
> >
> > But the comment says:
> > "Disable BIG-REQUESTS, nx-libs does not implement this extension
> > correctly. Leads to all sorts of weird crashes if left enabled."
> > Is this still true? Do I have to fear all sorts of weird crashes?
>
> Yes, unfortunately this is still true. I am unsure what exactly the
> problems are. But we have apps that crash with the extension enabled.
> And we have some apps that crash with the extension disabled ;-(
>
> Uli


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 29 Nov 2018 05:15:01 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.1.0.3. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 29 Nov 2018 05:15:02 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 29 Nov 2018 05:15:02 GMT) Full text and rfc822 format available.

Notification sent to Kröger, Hannes <hannes@kroegeronline.net>:
Bug acknowledged by developer. (Thu, 29 Nov 2018 05:15:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 05:16:08 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.